from sqlalchemy import Column, create_engine, func
from sqlalchemy.dialects.postgresql import UUID, VARCHAR, TIMESTAMP
from sqlalchemy.ext.declarative import declarative_base

Base = declarative_base()

class TaskDestination(Base):
    __tablename__ = "task_destination"

    uuid = Column(UUID,primary_key=True)
    task_request_uuid = Column(UUID)
    destination_name = Column(VARCHAR(50))
    created_at = Column(TIMESTAMP,server_default=func.current_timestamp())
    updated_at = Column(TIMESTAMP,onupdate=func.current_timestamp())

if __name__ == "__main__":
    engine = create_engine("postgresql://dev:rUtbkp6uE752Amsw@35.223.124.237:5432/task_manager")
    Base.metadata.create_all(bind=engine)