from sqlalchemy import Column, create_engine, func
from sqlalchemy.dialects.postgresql import UUID, VARCHAR, JSONB, TIMESTAMP
from sqlalchemy.ext.declarative import declarative_base

Base = declarative_base()

class TaskStatus(Base):
    __tablename__ = "task_status"

    uuid = Column(UUID,primary_key=True)
    task_request_uuid = Column(UUID)
    status = Column(VARCHAR(50))
    data = Column(JSONB)
    created_at = Column(TIMESTAMP,server_default=func.current_timestamp())

if __name__ == "__main__":
    engine = create_engine("postgresql://dev:rUtbkp6uE752Amsw@35.223.124.237:5432/task_manager")
    Base.metadata.create_all(bind=engine)